
*{
  /* border: 1px solid black; */
}

body{
  overflow-x: hidden;
}

.footerupdiv{
  /* overflow-x: hidden; */
}

.footer {
  position: relative;
  width: 100%;
  background: #A3BAD9;
  min-height: 100px;
  padding-top: 100px;
  padding-left: 50px;
  padding-right: 50px;
  /* padding: 20px 50px; */
}

/* .footerDiv{
  background-image: url('https://media0.giphy.com/media/sPovY3ZXtafk0BGE94/giphy.gif?cid=6c09b952kjbhi1uhtu32wwlebor31abhoof1poybq6jj98d2&rid=giphy.gif&ct=s') ;
  background-size: contain;
  background-repeat: repeat-x;
  background-position-x: right;
} */
.footerDiv:before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
  background-image: url('https://i.gifer.com/WSXx.gif') ;
  /* background-blend-mode: screen !important; */
  mix-blend-mode: multiply;
  background-size:auto;
  background-repeat: repeat-x;
  background-position-x: right;
  opacity: 0.1;
}

.social_icon:hover{
  transform: translateY(-10px);
  transition: 0.5s;
}

.footerDiv h5 {
  font-weight: bold !important;

}
.footerDiv h6 {
  font-weight: 600 !important;
  font-size: small !important;

}


.wave {
  position: absolute;
  top: -100px;
  left: 0;
  width: 100%;
  height: 100px;
  background: url("./images/wave.png");
  background-size: 1000px 100px;
}

.wave#wave1 {
  z-index: 1000;
  opacity: 1;
  bottom: 0;
  animation: animateWaves 4s linear infinite;
}

.wave#wave2 {
  z-index: 999;
  opacity: 0.5;
  bottom: 10px;
  animation: animate 4s linear infinite !important;
}

.wave#wave3 {
  z-index: 1000;
  opacity: 0.2;
  bottom: 15px;
  animation: animateWaves 3s linear infinite;
}

.wave#wave4 {
  z-index: 999;
  opacity: 0.7;
  bottom: 20px;
  animation: animate 3s linear infinite;
}

@keyframes animateWaves {
  0% {
    background-position-x: 1000px;
  }
  100% {
    background-positon-x: 0px;
  }
}

@keyframes animate {
  0% {
    background-position-x: -1000px;
  }
  100% {
    background-positon-x: 0px;
  }
}


/* tyre........  */

.tyre {
  position: absolute;
  top: -100px;
  left: -200px;
  width: 120%;
  height: 100px;
  background: url("https://thumbs.gfycat.com/QueasySpicyCreature-size_restricted.gif");
  background-repeat: no-repeat;
}

.tyre#tyre1 {
  z-index: 1000;
  left: -200px;
  opacity: 1;
  background-size: 100px;
  top: 320px;
  animation: animatetyres 14s linear infinite;
}

.tyre#tyre2 {
  z-index: -1;
  opacity: 1;
  background-size: 190px;
  top: 273px;
  animation: animate2 13s linear infinite !important;
}

.tyre#tyre3 {
  z-index: -2;
  left: -200px;
  opacity: 0.2;
  background-size: 50px;
  top: 268px;
  animation: animatetyres 16s linear infinite;
}

.tyre#tyre4 {
  z-index: -1;
  opacity: 0.7;
  background-size: 80px;
  top: 260px;
  animation: animate2 20s linear infinite;
}

@keyframes animatetyres {
  0% {
    background-position-x: 2000px;
  }
  100% {
    background-positon-x: 0;
  }
}

@keyframes animate2 {
  0% { left: -200px; } /* start position */
  100% { left: 100%; } /* end position */
}



/* tyre........  */